Debian Bug report logs - #183346
procps: could add a flag to check return value and quit if failed

version graph

Package: procps; Maintainer for procps is Craig Small <csmall@debian.org>; Source for procps is src:procps.

Reported by: Dan Jacobson <jidanni@jidanni.org>

Date: Tue, 4 Mar 2003 04:33:03 UTC

Severity: wishlist

Tags: sid, upstream

Found in version 1:3.1.5-1

Fixed in version procps/1:3.2.7-10

Done: Craig Small <csmall@debian.org>

Bug is archived. No further changes may be made.

Forwarded to procps-feedback@lists.sf.net

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>, procps@packages.qa.debian.org:
Bug#183346; Package procps. Full text and rfc822 format available.

Acknowledgement sent to Dan Jacobson <jidanni@dman.ddts.net>:
New Bug report received and forwarded. Copy sent to Craig Small <csmall@debian.org>, procps@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dan Jacobson <jidanni@dman.ddts.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: procps: could add a flag to check return value and quit if failed
Date: Tue, 04 Mar 2003 08:11:44 +0800
Package: procps
Version: 1:3.1.5-1
Severity: wishlist
File: /usr/bin/watch
Tags: upstream

$ watch blabla
is nice, but
$ watch --bail-out-on-failure blabla
is nicer.  You would check the return value and quit the watch if not 0

For instance
$ touch x;(sleep 7;/bin/rm x)&watch "ls x"
well, why not have a flag that quits if there are problems?

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux debian 2.4.20-k7 #1 Tue Jan 14 00:29:06 EST 2003 i686
Locale: LANG=zh_TW.Big5, LC_CTYPE=zh_TW.Big5

Versions of packages procps depends on:
ii  libc6                     2.3.1-10       GNU C Library: Shared libraries an
ii  libncurses5               5.3.20021109-2 Shared libraries for terminal hand

-- no debconf information




Tags added: upstream, sid Request was from csmall@enc.com.au (Craig Small) to control@bugs.debian.org. Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to procps-feedback@lists.sf.net. Request was from csmall@enc.com.au (Craig Small) to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug submitter from Dan Jacobson <jidanni@dman.ddts.net> to Dan Jacobson <jidanni@jidanni.org>. Request was from Dan Jacobson <jidanni@jidanni.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Craig Small <csmall@debian.org>:
You have taken responsibility. (Sun, 11 Jan 2009 02:09:03 GMT) Full text and rfc822 format available.

Notification sent to Dan Jacobson <jidanni@jidanni.org>:
Bug acknowledged by developer. (Sun, 11 Jan 2009 02:09:03 GMT) Full text and rfc822 format available.

Message #16 received at 183346-close@bugs.debian.org (full text, mbox):

From: Craig Small <csmall@debian.org>
To: 183346-close@bugs.debian.org
Subject: Bug#183346: fixed in procps 1:3.2.7-10
Date: Sun, 11 Jan 2009 01:47:04 +0000
Source: procps
Source-Version: 1:3.2.7-10

We believe that the bug you reported is fixed in the latest version of
procps, which is due to be installed in the Debian FTP archive:

libproc-dev_3.2.7-10_i386.deb
  to pool/main/p/procps/libproc-dev_3.2.7-10_i386.deb
procps_3.2.7-10.diff.gz
  to pool/main/p/procps/procps_3.2.7-10.diff.gz
procps_3.2.7-10.dsc
  to pool/main/p/procps/procps_3.2.7-10.dsc
procps_3.2.7-10_i386.deb
  to pool/main/p/procps/procps_3.2.7-10_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 183346@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Craig Small <csmall@debian.org> (supplier of updated procps package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 11 Jan 2009 12:29:42 +1100
Source: procps
Binary: procps libproc-dev
Architecture: source i386
Version: 1:3.2.7-10
Distribution: unstable
Urgency: low
Maintainer: Craig Small <csmall@debian.org>
Changed-By: Craig Small <csmall@debian.org>
Description: 
 libproc-dev - library for accessing process information from /proc
 procps     - /proc file system utilities
Closes: 155227 183346 183486 225549 252575 267873 375739 378695 410967 414906 420377 426782 451812 469669 481679 494655 495882 495884 495885 495987 496274 502729 508435 511082
Changes: 
 procps (1:3.2.7-10) unstable; urgency=low
 .
   * PATH_MAX problem fixed Closes: #496274
   * NOHZ patch appilied Closes: #495882
   * Added some extra comments about sysctl Closes: #495884
   * init script respects VERBOSE Closes: #495885
   * More ps sorting Closes: #508435
   * ps displays cgroups Closes: #469669
   * Added cross build support Closes: #451812
   * Added Hilko's fix for sysctl Closes: #511082
   * Applied Mortys watch exec patch, thankyou!!
     Closes: #225549, #155227, #420377, #481679,#410967
   * top UID length now increased to 5 Closes: #426782
   * init script not installed for kFreeBSD Closes: #502729
   * Fixed kernel.maps_protect entry in sysctl.conf Closes: #494655
   * D flag documented in man page Closes: #495987
   * w uses locale for centi-seconds Closes: #252575
   * Corrected w-bassman patch which made ALL times change and documented
     what the times mean in w.1 Closes: #414906
   * Changed dh_clean -k to dh_prep
   * Updated to debhelper 7
   * Replaced may in kill.1 Closes: #375739
   * Added precision wait time to watch Closes: #183486
   * top exits if it cannot read /proc Closes: #378695
   * Adjusted top.1 as CODE DATA fields were incorrect Closes: 267873
   * Added --errexit flag on watch to exit on command error Closes:
     #183346
Checksums-Sha1: 
 7c6b79f5de42aa2acce4d6dc6ebebdaed4a30e9e 990 procps_3.2.7-10.dsc
 36fc8a379dd6c310cdbc29e5136f2fe235d1f48d 81896 procps_3.2.7-10.diff.gz
 b2cab9c0bfd951701d987c762a29de0cb33fd699 225882 procps_3.2.7-10_i386.deb
 15e1a4f9f2adda3c2fae8fd716f677c2950bdd08 57146 libproc-dev_3.2.7-10_i386.deb
Checksums-Sha256: 
 f9e39d0bfba1ecf2d3cd37bde55a2987866911f37e39b2460b91118b6a7644cb 990 procps_3.2.7-10.dsc
 0bb5ba17a2c44342f79a6601ce070847c90bcfb58999b641be4b86c4ec5c1902 81896 procps_3.2.7-10.diff.gz
 de3a721b689c33c0864b8daf698644beccf0f5afeebbbecaa5afe5f54b08a554 225882 procps_3.2.7-10_i386.deb
 166c7b1524ab91f37be67f1fcfa3e6ef2d0ef0fdd8ec0b61b3f52be8b27c0780 57146 libproc-dev_3.2.7-10_i386.deb
Files: 
 87c80bc01ad625d5706b2d6dfc677a00 990 admin required procps_3.2.7-10.dsc
 fd186946acddc00b1923eebba3a1948d 81896 admin required procps_3.2.7-10.diff.gz
 da71ca3be2133d481c71ec67957b2ce1 225882 admin required procps_3.2.7-10_i386.deb
 8d7b98f42f31896bca47aa403100ea75 57146 libdevel optional libproc-dev_3.2.7-10_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFJaUzMx2zlrBLK36URAlfAAJoDFOv+B3MaTisuLpaHuIf5GR09mgCfbEFB
YLL4f9Mhoc7tLtnTwA3HmzA=
=tS6D
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 09 Feb 2009 07:28:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 08:06:03 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.